Anonymous | Login
Project:
RSS
  
News | My View | View Issues | Roadmap | Summary

View Issue DetailsJump to Notes ] Issue History ] Print ]
ID
0042738
TypeCategorySeverityReproducibilityDate SubmittedLast Update
defect[Openbravo ERP] A. Platformminoralways2020-01-08 14:012020-03-20 17:54
Reporterinigo_lergaView Statuspublic 
Assigned Toinigo_lerga 
PrioritynormalResolutionfixedFixed in Version3.0PR20Q2
StatusclosedFix in branchFixed in SCM revision3b1dccac736d
ProjectionnoneETAnoneTarget Version
OSAnyDatabaseAnyJava version
OS VersionDatabase versionAnt version
Product VersionSCM revision 
Review Assigned Todmiguelez
Web browser
ModulesCore
Regression level
Regression date
Regression introduced in release
Regression introduced by commit
Triggers an Emergency PackNo
Summary

0042738: Apply new HQL Style in CheckExistsOverissueBinForRFCShipmentWH.java

DescriptionCheckExistsOverissueBinForRFCShipmentWH.java has one HQL query to update with:
- the HQL is hard to read because of formatting
Steps To Reproduce-
Proposed SolutionFollow new format as in http://wiki.openbravo.com/wiki/HQL_Coding_Conventions [^]
TagsNo tags attached.
Attached Files

- Relationships Relation Graph ] Dependency Graph ]
related to design defect 0041287 acknowledgedplatform Tracking issue: Convert HQL to apply new style 

-  Notes
(0116725)
inigo_lerga (developer)
2020-01-09 10:18

Test Plan Mantis:
As the F&B International Group Admin role:
    - Go to the Purchase Order window and create
      a new record with "Bebidas Alegres, S.l" as
      Business Partner. Add a line with 5 units of
      "Cerveza Ale 0.5L". Save and Complete the Order.
    - Go to the Goods Receipt window and create a
      new record with "Bebidas Alegres, S.l" as
      Business Partner. Press the Create Lines From button
      and select the order created above and click Ok.
      Save and Complete the Receipt.
    - Go to Return to Vendor window and create a
      new record with "Bebidas Alegres, S.l" as
      Business Partner. Press the Pick/Edit Lines
      button and select the 5 units of "Cerveza Ale 0.5L"
      previously used. Press the Done button and Book
      the Return.
    - Go to Goods Shipment window and create a new record
      with any Business Partner. Add a new Line with
      "Cerveza Ale 0.5L" and all the units avaiable in
      stock (default number), so there is no stock left.
      Complete the Shipment.
    - Go to Return to Vendor Shipment and create a new
      record with "Bebidas Alegres, S.l" as Business Partner.
      Press the Pick/Edit Lines button and select any row.
#In this moment the modified HQL is executed#
(0116784)
hgbot (developer)
2020-01-13 09:58

Repository: erp/devel/pi
Changeset: 3b1dccac736da20765833a735d4a7182a58e3513
Author: IƱigo Lerga <inigo.lerga <at> openbravo.com>
Date: Wed Jan 08 16:55:14 2020 +0100
URL: http://code.openbravo.com/erp/devel/pi/rev/3b1dccac736da20765833a735d4a7182a58e3513 [^]

Related to Issue 42738: Applied new HQL Style

---
M modules/org.openbravo.advpaymentmngt/src/org/openbravo/advpaymentmngt/actionHandler/CheckExistsOverissueBinForRFCShipmentWH.java
---
(0116785)
dmiguelez (developer)
2020-01-13 09:59

Code Review + Testing Ok
(0118727)
hudsonbot (developer)
2020-03-20 17:54

A changeset related to this issue has been promoted main and to the
Central Repository, after passing a series of tests.

Promotion changeset: https://code.openbravo.com/erp/devel/main/rev/b31620115262 [^]
Maturity status: Test

- Issue History
Date Modified Username Field Change
2020-01-08 14:01 inigo_lerga New Issue
2020-01-08 14:01 inigo_lerga Assigned To => platform
2020-01-08 14:01 inigo_lerga Modules => Core
2020-01-08 14:01 inigo_lerga Triggers an Emergency Pack => No
2020-01-08 14:01 inigo_lerga Status new => scheduled
2020-01-08 14:01 inigo_lerga Assigned To platform => inigo_lerga
2020-01-09 10:18 inigo_lerga Note Added: 0116725
2020-01-10 14:43 inigo_lerga Relationship added related to 0041287
2020-01-13 09:58 hgbot Checkin
2020-01-13 09:58 hgbot Note Added: 0116784
2020-01-13 09:59 dmiguelez Status scheduled => resolved
2020-01-13 09:59 dmiguelez Fixed in Version => 3.0PR20Q2
2020-01-13 09:59 dmiguelez Fixed in SCM revision => https://code.openbravo.com/erp/devel/pi/rev/3b1dccac736da20765833a735d4a7182a58e3513 [^]
2020-01-13 09:59 dmiguelez Resolution open => fixed
2020-01-13 09:59 dmiguelez Review Assigned To => dmiguelez
2020-01-13 09:59 dmiguelez Note Added: 0116785
2020-01-13 09:59 dmiguelez Status resolved => closed
2020-03-20 17:54 hudsonbot Checkin
2020-03-20 17:54 hudsonbot Note Added: 0118727


Copyright © 2000 - 2009 MantisBT Group
Powered by Mantis Bugtracker